Package tigase.xmpp.impl

## Class JabberIqPrivacy.PrivacyListOfflineCache

- java.lang.Object
- - tigase.xmpp.impl.JabberIqPrivacy.PrivacyListOfflineCache

- All Implemented Interfaces:
    `Initializable`, `UnregisterAware`, `SessionManagerHandler`
  Enclosing class:
    JabberIqPrivacy

      @Bean(name="privacyListOfflineCache",
            parent=JabberIqPrivacy.class,
            active=false)
      public static class JabberIqPrivacy.PrivacyListOfflineCache
      extends java.lang.Object
      implements SessionManagerHandler, Initializable, UnregisterAware

- - ### Field Summary

    - ### Fields inherited from interface tigase.server.xmppsession.SessionManagerHandler

      `COMMIT_HANDLER_KEY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PrivacyListOfflineCache()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `beforeUnregister()` | Method called before bean unregister.
    `void` | `clear()` |
    `JID` | `getComponentId()` |
    `protected PrivacyList` | `getPrivacyList​(BareJID userJID)` |
    `void` | `handleDomainChange​(java.lang.String domain, XMPPResourceConnection conn)` |
    `void` | `handleLogin​(BareJID userId, XMPPResourceConnection conn)` |
    `void` | `handleLogout​(BareJID userId, XMPPResourceConnection conn)` |
    `void` | `handlePresenceSet​(XMPPResourceConnection conn)` |
    `void` | `handleResourceBind​(XMPPResourceConnection conn)` |
    `void` | `initialize()` | Method will be called, when bean will be created, configured and ready to use.
    `boolean` | `isLocalDomain​(java.lang.String domain, boolean includeComponents)` |
    `protected PrivacyList` | `loadList​(BareJID userJID)` |
    `void` | `setCacheSize​(int cacheSize)` |
    `protected void` | `userConnected​(UserConnectedEvent event)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrivacyListOfflineCache

          public PrivacyListOfflineCache()

  - ### Method Detail

    - #### clear

          public void clear()

    - #### getComponentId

          public JID getComponentId()

      Specified by:
        `getComponentId` in interface `SessionManagerHandler`

    - #### handleLogin

          public void handleLogin​(BareJID userId,
                                  XMPPResourceConnection conn)

      Specified by:
        `handleLogin` in interface `SessionManagerHandler`

    - #### handleDomainChange

          public void handleDomainChange​(java.lang.String domain,
                                         XMPPResourceConnection conn)

      Specified by:
        `handleDomainChange` in interface `SessionManagerHandler`

    - #### handleLogout

          public void handleLogout​(BareJID userId,
                                   XMPPResourceConnection conn)

      Specified by:
        `handleLogout` in interface `SessionManagerHandler`

    - #### handlePresenceSet

          public void handlePresenceSet​(XMPPResourceConnection conn)

      Specified by:
        `handlePresenceSet` in interface `SessionManagerHandler`

    - #### handleResourceBind

          public void handleResourceBind​(XMPPResourceConnection conn)

      Specified by:
        `handleResourceBind` in interface `SessionManagerHandler`

    - #### isLocalDomain

          public boolean isLocalDomain​(java.lang.String domain,
                                       boolean includeComponents)

      Specified by:
        `isLocalDomain` in interface `SessionManagerHandler`

    - #### initialize

          public void initialize()

      Description copied from interface: `Initializable`
      Method will be called, when bean will be created, configured and ready to use.
      Specified by:
        `initialize` in interface `Initializable`

    - #### beforeUnregister

          public void beforeUnregister()

      Description copied from interface: `UnregisterAware`
      Method called before bean unregister.
      Specified by:
        `beforeUnregister` in interface `UnregisterAware`

    - #### setCacheSize

          public void setCacheSize​(int cacheSize)

    - #### userConnected

          @HandleEvent
          protected void userConnected​(UserConnectedEvent event)

    - #### getPrivacyList

          protected PrivacyList getPrivacyList​(BareJID userJID)

    - #### loadList

          protected PrivacyList loadList​(BareJID userJID)
                                  throws NotAuthorizedException,
                                         TigaseDBException

      Throws:
        `NotAuthorizedException`
        `TigaseDBException`